/***************************************************************************
                          mapinfobox.h  -  description
                             -------------------
    begin                : Sun Jul 21 2002
    copyright            : (C) 2002 by Andre Somers
    email                : andre@kflog.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAPINFOBOX_H
#define MAPINFOBOX_H

#include <qlabel.h>
#include <qfont.h>


/**This is a slight modification of a QLabel, used on the MapView
  *@author Andre Somers
  */

class MapInfoBox : public QWidget
{
  Q_OBJECT

public: 
  MapInfoBox(QWidget * parent, int FontDotsize=22);
  virtual ~MapInfoBox();
  /** Write property of QString _PreText. */
  virtual void setPreText( const QString _newVal);
  /** Read property of QString _PreText. */
  virtual const QString& getPreText();
  /** Write property of QString _value. */
  virtual void setValue( const QString _newVal);
  /** Read property of QString _value. */
  virtual const QString& getValue();
 
private: // Private attributes
  /** The text displayed before the value. */
  QString _PreText;
  /** Sets the value of the box */
  QString _value;
  QLabel  *_text;
  QLabel  *_ptext;

protected:
  bool event(QEvent *);
  bool eventFilter(QObject *, QEvent *);

signals:
  void mousePress();
};

#endif
